com.hazelcast.jet

## Class Jet

- java.lang.Object
- - com.hazelcast.jet.Jet

-     public final class Jet
      extends Object

  Entry point to the Jet product.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INTERNAL_JET_OBJECTS_PREFIX` Prefix of all Hazelcast internal objects used by Jet (such as job metadata, snapshots etc.)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JetInstance` | `newJetClient()` Creates a Jet client with the default configuration.
    `static JetInstance` | `newJetClient(ClientConfig config)` Creates a Jet client with the given Hazelcast client configuration.
    `static JetInstance` | `newJetInstance()` Creates a member of the Jet cluster with the configuration loaded from default location.
    `static JetInstance` | `newJetInstance(JetConfig config)` Creates a member of the Jet cluster with the given configuration.
    `static void` | `shutdownAll()` Shuts down all running Jet client and member instances.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INTERNAL_JET_OBJECTS_PREFIX

          public static final String INTERNAL_JET_OBJECTS_PREFIX

      Prefix of all Hazelcast internal objects used by Jet (such as job metadata, snapshots etc.)
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### newJetInstance

          public static JetInstance newJetInstance(JetConfig config)

      Creates a member of the Jet cluster with the given configuration.

    - #### newJetInstance

          public static JetInstance newJetInstance()

      Creates a member of the Jet cluster with the configuration loaded from default location.

    - #### newJetClient

          public static JetInstance newJetClient()

      Creates a Jet client with the default configuration.

    - #### newJetClient

          public static JetInstance newJetClient(ClientConfig config)

      Creates a Jet client with the given Hazelcast client configuration. `JetClientConfig` may be used to create a configuration with the default group name and password for Jet.

    - #### shutdownAll

          public static void shutdownAll()

      Shuts down all running Jet client and member instances.

Copyright © 2018. All rights reserved.